> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Collect



## OpenAPI

````yaml https://api.heydollr.app/openapi.json post /{version}/executions/collection
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/executions/collection:
    post:
      tags:
        - executions
      summary: Collect
      operationId: collect__version__executions_collection_post
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckoutExecutionPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CheckoutExecutionPayload:
      properties:
        session_id:
          type: string
          title: Session Id
        payment_account_id:
          type: string
          title: Payment Account Id
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
        reference_id:
          type: string
          title: Reference Id
          description: A version-4 UUID (e.g. 550e8400-e29b-41d4-a716-446655440000)
      type: object
      required:
        - session_id
        - payment_account_id
        - currency
        - reference_id
      title: CheckoutExecutionPayload
      description: CheckoutExecutionPayload
    ExecutionResponse:
      properties:
        reference_id:
          type: string
          title: Reference Id
        provider_transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Transaction Id
        status:
          type: string
          title: Status
        payer_amount:
          anyOf:
            - type: number
            - type: integer
          title: Payer Amount
        payer_currency:
          type: string
          title: Payer Currency
        payee_currency:
          type: string
          title: Payee Currency
        payee_amount:
          anyOf:
            - type: number
            - type: integer
          title: Payee Amount
        operation_type:
          type: string
          title: Operation Type
        gateway_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway Message
        wallet_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Wallet Message
        client_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Secret
        requires_action:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Requires Action
      type: object
      required:
        - reference_id
        - status
        - payer_amount
        - payer_currency
        - payee_currency
        - payee_amount
        - operation_type
      title: ExecutionResponse
      description: ExecutionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````